UberStudent Forums
http://uberstudent.com/phpBB/

Install codecs
http://uberstudent.com/phpBB/viewtopic.php?f=7&t=588
Page 1 of 1

Author:  P Gill [ Wed Feb 26, 2014 12:01 pm ]
Post subject:  Install codecs

I just installed uberstudent yesterday and I can't seem to get it to install codecs. When I click I am prompted to install: uberstudent-meta-restricted-extras. Then it just fails: check your internet conditions.

The software is up to date.

Author:  P Gill [ Wed Feb 26, 2014 12:23 pm ]
Post subject:  Re: Install codecs

I tried the Synaptic Package manager and it worked. But not completely:

W: Failed to fetch http://mirrors.ucr.ac.cr/medibuntu/pool ... 3_i386.deb
Hash Sum mismatch

Author:  P Gill [ Wed Feb 26, 2014 12:31 pm ]
Post subject:  Re: Install codecs

And Guake terminal:

parvinder@UberL:~$ sudo apt-get install uberstudent-meta-restricted-extras
[sudo] password for parvinder:
Reading package lists... Done
Building dependency tree
Reading state information... Done
uberstudent-meta-restricted-extras is already the newest version.
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
uberstudent-meta-restricted-extras : Depends: w32codecs but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
parvinder@UberL:~$ apt-get -f install
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
parvinder@UberL:~$

Author:  Stephen Ewen [ Wed Feb 26, 2014 9:05 pm ]
Post subject:  Re: Install codecs

Update the system first. The fix is contained in an update. Then install the codecs.

Author:  P Gill [ Fri Feb 28, 2014 10:51 am ]
Post subject:  Re: Install codecs

Thanks for the reply. I have reinstalled twice already with the same results. The following comes up:

With sudo apt-get update:
n http://archive.ubuntu.com raring-updates/universe Translation-en_US
Err http://packages.medibuntu.org raring Release.gpg
Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)
Ign http://packages.medibuntu.org raring Release
Ign http://packages.medibuntu.org raring/free i386 Packages/DiffIndex
Ign http://packages.medibuntu.org raring/non-free i386 Packages/DiffIndex
Err http://packages.medibuntu.org raring/free Translation-en_US
Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)
Err http://packages.medibuntu.org raring/free Translation-en
Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)
Err http://packages.medibuntu.org raring/non-free Translation-en_US
Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)
Err http://packages.medibuntu.org raring/non-free Translation-en
Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)
Err http://packages.medibuntu.org raring/free i386 Packages
Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)
Err http://packages.medibuntu.org raring/non-free i386 Packages
Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)
Fetched 4,234 B in 32s (128 B/s)
W: Failed to fetch http://packages.medibuntu.org/dists/raring/Release.gpg Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)

W: Failed to fetch http://packages.medibuntu.org/dists/rar ... tion-en_US Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)

W: Failed to fetch http://packages.medibuntu.org/dists/rar ... slation-en Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)

W: Failed to fetch http://packages.medibuntu.org/dists/rar ... tion-en_US Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)

W: Failed to fetch http://packages.medibuntu.org/dists/rar ... slation-en Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)

W: Failed to fetch http://packages.medibuntu.org/dists/rar ... 6/Packages Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)

W: Failed to fetch http://packages.medibuntu.org/dists/rar ... 6/Packages Something wicked happened resolving 'packages.medibuntu.org:http' (-11 - System error)



with sudo apt-get dist-upgrade:

Configuration file `/etc/apt/sources.list.d/official-package-repositories.list'
==> Modified (by you or by a script) since installation.
==> Package distributor has shipped an updated version.
What would you like to do about it ? Your options are:
Y or I : install the package maintainer's version
N or O : keep your currently-installed version
D : show the differences between the versions
Z : start a shell to examine the situation
The default action is to keep your current version.
*** official-package-repositories.list (Y/I/N/O/D/Z) [default=N] ?

Tried both yes and no to the option at different reinstallations.

Author:  Stephen Ewen [ Fri Feb 28, 2014 10:05 pm ]
Post subject:  Re: Install codecs

Okay, I see the issue now. I've updated the package uberstudentsources in the repository to version 1.2.4. It fixes the Medibuntu repository issue. Just update your system, much preferably from the Update Manager in the system tray. When the system asks if you want to replace any apt files, it does not matter if you answer yes or no; it will be replaced regardless.

Then, the codecs will use an alternate repository and they will install as they should.

If you wish to speed things along by avoiding the Medibuntu timeouts, do the following:

Open a terminal and run:
Code:
sudo rm /var/lib/apt/lists/lock
sudo rm /var/cache/apt/archives/lock


Now run in the terminal:
Code:
sudo leafpad /etc/apt/sources.list.d/official-package-respositories.list


Replace line 10 with the following line:
Code:
deb http://mirror.oscc.org.my/medibuntu/ lucid free non-free


Save the file.

Now run your updates.

If you wish to install codecs from a terminal, the package to install is uberstudent-meta-restricted-extras.

Author:  P Gill [ Sat Mar 01, 2014 5:47 am ]
Post subject:  Re: Install codecs

Thanks! The codecs are updated.

I'm new to Linux. Tried Debian for a bit and now Uberstudent. Looking forward to learning!

Author:  Joanne Johnson [ Tue Jan 20, 2015 6:57 am ]
Post subject:  Re: Install codecs

Thanks for the information now my codecs are updated.

Page 1 of 1 All times are UTC
Powered by phpBB® Forum Software © phpBB Group
http://www.phpbb.com/